import { createRouter, createWebHistory } from 'vue-router'
import UserView from '../views/UserView.vue'
import PageNotFound from '../views/PageNotFound.vue'
import PrivacyPageView from '../views/PrivacyPageView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/privacy',
      name: 'about',
      component: PrivacyPageView
    },
    {
      path: '/:username',
      component: UserView
    },
    { path: '/:pathMatch(.*)*', component: PageNotFound }
  ]
})

export default router
